# Copyright (c) 2010-2025, Lawrence Livermore National Security, LLC. Produced
# at the Lawrence Livermore National Laboratory. All Rights reserved. See files
# LICENSE and NOTICE for details. LLNL-CODE-806117.
#
# This file is part of the MFEM library. For more information and source code
# availability visit https://mfem.org.
#
# MFEM is free software; you can redistribute it and/or modify it under the
# terms of the BSD-3 license. We welcome feedback and contributions, see file
# CONTRIBUTING.md for details.

# Variables corresponding to defines in config.hpp (YES, NO, or value)
MFEM_VERSION           = 40800
MFEM_VERSION_STRING    = 4.8.0
MFEM_SOURCE_DIR        = /private/tmp/mfem-20250409-8051-6g4zeh/mfem-4.8
MFEM_INSTALL_DIR       = @@HOMEBREW_CELLAR@@/mfem/4.8
MFEM_GIT_STRING        = (unknown)
MFEM_USE_MPI           = YES
MFEM_USE_METIS         = YES
MFEM_USE_METIS_5       = YES
MFEM_USE_DOUBLE        = YES
MFEM_USE_SINGLE        = NO
MFEM_DEBUG             = NO
MFEM_USE_EXCEPTIONS    = NO
MFEM_USE_ZLIB          = NO
MFEM_USE_LIBUNWIND     = NO
MFEM_USE_LAPACK        = NO
MFEM_THREAD_SAFE       = NO
MFEM_USE_LEGACY_OPENMP = NO
MFEM_USE_OPENMP        = NO
MFEM_USE_MEMALLOC      = YES
MFEM_TIMER_TYPE        = 4
MFEM_USE_SUNDIALS      = NO
MFEM_USE_SUITESPARSE   = YES
MFEM_USE_SUPERLU       = NO
MFEM_USE_SUPERLU5      = NO
MFEM_USE_MUMPS         = NO
MFEM_USE_STRUMPACK     = NO
MFEM_USE_GINKGO        = NO
MFEM_USE_AMGX          = NO
MFEM_USE_MAGMA         = NO
MFEM_USE_GNUTLS        = NO
MFEM_USE_NETCDF        = NO
MFEM_USE_PETSC         = NO
MFEM_USE_SLEPC         = NO
MFEM_USE_MPFR          = NO
MFEM_USE_SIDRE         = NO
MFEM_USE_FMS           = NO
MFEM_USE_CONDUIT       = NO
MFEM_USE_PUMI          = NO
MFEM_USE_HIOP          = NO
MFEM_USE_GSLIB         = NO
MFEM_USE_CUDA          = NO
MFEM_USE_HIP           = NO
MFEM_USE_RAJA          = NO
MFEM_USE_OCCA          = NO
MFEM_USE_CEED          = NO
MFEM_USE_CALIPER       = NO
MFEM_USE_UMPIRE        = NO
MFEM_USE_SIMD          = NO
MFEM_USE_ADIOS2        = NO
MFEM_USE_MKL_CPARDISO  = NO
MFEM_USE_MKL_PARDISO   = NO
MFEM_USE_MOONOLITH     = NO
MFEM_USE_ADFORWARD     = NO
MFEM_USE_CODIPACK      = NO
MFEM_USE_BENCHMARK     = NO
MFEM_USE_PARELAG       = NO
MFEM_USE_TRIBOL        = NO
MFEM_USE_ENZYME        = NO

# Compiler, compile options, and link options
MFEM_CXX       = clang++
MFEM_HOST_CXX  = clang++
MFEM_CPPFLAGS  = 
MFEM_CXXFLAGS  = -std=c++11 -O3 -DNDEBUG
MFEM_TPLFLAGS  =  -I@@HOMEBREW_PREFIX@@/include -I@@HOMEBREW_PREFIX@@/include/suitesparse -I@@HOMEBREW_CELLAR@@/open-mpi/5.0.7/include
MFEM_INCFLAGS  = -I$(MFEM_INC_DIR) $(MFEM_TPLFLAGS)
MFEM_PICFLAG   = 
MFEM_FLAGS     = $(MFEM_CPPFLAGS) $(MFEM_CXXFLAGS) $(MFEM_INCFLAGS)
MFEM_EXT_LIBS  =  @@HOMEBREW_PREFIX@@/lib/libHYPRE.a -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lumfpack -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lklu -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lamd -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lbtf -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lcholmod -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lcolamd -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lcamd -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lccolamd -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lsuitesparseconfig -Wl,-rpath,@@HOMEBREW_PREFIX@@/opt/openblas/lib -L@@HOMEBREW_PREFIX@@/opt/openblas/lib -lopenblas -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lmetis -Wl,-rpath,@@HOMEBREW_PREFIX@@/lib -L@@HOMEBREW_PREFIX@@/lib -lmpi
MFEM_LIBS      = -L$(MFEM_LIB_DIR) -lmfem $(MFEM_EXT_LIBS)
MFEM_LIB_FILE  = $(MFEM_LIB_DIR)/libmfem.a
MFEM_STATIC    = YES
MFEM_SHARED    = NO
MFEM_BUILD_TAG = Darwin-23.6.0
MFEM_PREFIX    = @@HOMEBREW_CELLAR@@/mfem/4.8
MFEM_INC_DIR   = @@HOMEBREW_CELLAR@@/mfem/4.8/include
MFEM_LIB_DIR   = @@HOMEBREW_CELLAR@@/mfem/4.8/lib

# Location of test.mk
MFEM_TEST_MK = @@HOMEBREW_CELLAR@@/mfem/4.8/share/mfem/test.mk

# Command used to launch MPI jobs
MFEM_MPIEXEC    = @@HOMEBREW_PREFIX@@/bin/mpiexec
MFEM_MPIEXEC_NP = -n
MFEM_MPI_NP     = 4

# The NVCC compiler cannot link with -x=cu
MFEM_LINK_FLAGS := $(filter-out -x=cu -xhip, $(MFEM_FLAGS))

# Optional extra configuration

